<?php

function RETURN_RESPONSE($status, $message, $optional = '')
{
    return [
        'status' => $status,
        'message' => $message,
        'data' => $optional,
    ];
}

function RETURN_VIEW($status, $message, $optional = '')
{
    return [
        'status' => $status,
        'html' => $message,
        'data' => $optional,
    ];
}


const TIMEZONE_LIST = array(
                        "Africa/Abidjan"=>"Africa/Abidjan",
                        "Africa/Asmera"=>"Africa/Asmera",
                        "Africa/Blantyre"=>"Africa/Blantyre",
                        "Africa/Ceuta"=>"Africa/Ceuta",
                        "Africa/Douala"=>"Africa/Douala",
                        "Africa/Johannesburg"=>"Africa/Johannesburg",
                        "Africa/Kinshasa"=>"Africa/Kinshasa",
                        "Africa/Lubumbashi"=>"Africa/Lubumbashi",
                        "Africa/Mbabane"=>"Africa/Mbabane",
                        "Africa/Niamey"=>"Africa/Niamey",
                        "Africa/Timbuktu"=>"Africa/Timbuktu",
                        "Africa/Accra"=>"Africa/Accra",
                        "Africa/Bamako"=>"Africa/Bamako",
                        "Africa/Brazzaville"=>"Africa/Brazzaville",
                        "Africa/Conakry"=>"Africa/Conakry",
                        "Africa/El_Aaiun"=>"Africa/El_Aaiun",
                        "Africa/Juba"=>"Africa/Juba",
                        "Africa/Lagos"=>"Africa/Lagos",
                        "Africa/Lusaka"=>"Africa/Lusaka",
                        "Africa/Mogadishu"=>"Africa/Mogadishu",
                        "Africa/Nouakchott"=>"Africa/Nouakchott",
                        "Africa/Tripoli"=>"Africa/Tripoli",
                        "Africa/Addis_Ababa"=>"Africa/Addis_Ababa",
                        "Africa/Bangui"=>"Africa/Bangui",
                        "Africa/Bujumbura"=>"Africa/Bujumbura",
                        "Africa/Dakar"=>"Africa/Dakar",
                        "Africa/Freetown"=>"Africa/Freetown",
                        "Africa/Kampala"=>"Africa/Kampala",
                        "Africa/Libreville"=>"Africa/Libreville",
                        "Africa/Malabo"=>"Africa/Malabo",
                        "Africa/Monrovia"=>"Africa/Monrovia",
                        "Africa/Ouagadougou"=>"Africa/Ouagadougou",
                        "Africa/Tunis"=>"Africa/Tunis",
                        "Africa/Algiers"=>"Africa/Algiers",
                        "Africa/Banjul"=>"Africa/Banjul",
                        "Africa/Cairo"=>"Africa/Cairo",
                        "Africa/Dar_es_Salaam"=>"Africa/Dar_es_Salaam",
                        "Africa/Gaborone"=>"Africa/Gaborone",
                        "Africa/Khartoum"=>"Africa/Khartoum",
                        "Africa/Lome"=>"Africa/Lome",
                        "Africa/Maputo"=>"Africa/Maputo",
                        "Africa/Nairobi"=>"Africa/Nairobi",
                        "Africa/Porto-Novo"=>"Africa/Porto-Novo",
                        "Africa/Windhoek"=>"Africa/Windhoek",
                        "Africa/Asmara"=>"Africa/Asmara",
                        "Africa/Bissau"=>"Africa/Bissau",
                        "Africa/Casablanca"=>"Africa/Casablanca",
                        "Africa/Djibouti"=>"Africa/Djibouti",
                        "Africa/Harare"=>"Africa/Harare",
                        "Africa/Kigali"=>"Africa/Kigali",
                        "Africa/Luanda"=>"Africa/Luanda",
                        "Africa/Maseru"=>"Africa/Maseru",
                        "Africa/Ndjamena"=>"Africa/Ndjamena",
                        "Africa/Sao_Tome"=>"Africa/Sao_Tome",
                        "America/Adak"=>"America/Adak",
                        "America/Antigua"=>"America/Antigua",
                        "America/Argentina/Catamarca"=>"America/Argentina/Catamarca",
                        "America/Argentina/Jujuy"=>"America/Argentina/Jujuy",
                        "America/Argentina/Rio_Gallegos"=>"America/Argentina/Rio_Gallegos",
                        "America/Argentina/San_Luis"=>"America/Argentina/San_Luis",
                        "America/Aruba"=>"America/Aruba",
                        "America/Atka"=>"America/Atka",
                        "America/Barbados"=>"America/Barbados",
                        "America/Blanc-Sablon"=>"America/Blanc-Sablon",
                        "America/Boise"=>"America/Boise",
                        "America/Campo_Grande"=>"America/Campo_Grande",
                        "America/Catamarca"=>"America/Catamarca",
                        "America/Chicago"=>"America/Chicago",
                        "America/Cordoba"=>"America/Cordoba",
                        "America/Cuiaba"=>"America/Cuiaba",
                        "America/Dawson"=>"America/Dawson",
                        "America/Detroit"=>"America/Detroit",
                        "America/Eirunepe"=>"America/Eirunepe",
                        "America/Fort_Wayne"=>"America/Fort_Wayne",
                        "America/Godthab"=>"America/Godthab",
                        "America/Grenada"=>"America/Grenada",
                        "America/Guayaquil"=>"America/Guayaquil",
                        "America/Havana"=>"America/Havana",
                        "America/Indiana/Knox"=>"America/Indiana/Knox",
                        "America/Indiana/Tell_City"=>"America/Indiana/Tell_City",
                        "America/Indiana/Winamac"=>"America/Indiana/Winamac",
                        "America/Iqaluit"=>"America/Iqaluit",
                        "America/Juneau"=>"America/Juneau",
                        "America/Knox_IN"=>"America/Knox_IN",
                        "America/Lima"=>"America/Lima",
                        "America/Lower_Princes"=>"America/Lower_Princes",
                        "America/Manaus"=>"America/Manaus",
                        "America/Matamoros"=>"America/Matamoros",
                        "America/Menominee"=>"America/Menominee",
                        "America/Mexico_City"=>"America/Mexico_City",
                        "America/Monterrey"=>"America/Monterrey",
                        "America/Montserrat"=>"America/Montserrat",
                        "America/Nipigon"=>"America/Nipigon",
                        "America/North_Dakota/Beulah"=>"America/North_Dakota/Beulah",
                        "America/Ojinaga"=>"America/Ojinaga",
                        "America/Paramaribo"=>"America/Paramaribo",
                        "America/Port_of_Spain"=>"America/Port_of_Spain",
                        "America/Puerto_Rico"=>"America/Puerto_Rico",
                        "America/Recife"=>"America/Recife",
                        "America/Rio_Branco"=>"America/Rio_Branco",
                        "America/Santarem"=>"America/Santarem",
                        "America/Sao_Paulo"=>"America/Sao_Paulo",
                        "America/Sitka"=>"America/Sitka",
                        "America/St_Kitts"=>"America/St_Kitts",
                        "America/St_Vincent"=>"America/St_Vincent",
                        "America/Thule"=>"America/Thule",
                        "America/Toronto"=>"America/Toronto",
                        "America/Virgin"=>"America/Virgin",
                        "America/Yakutat"=>"America/Yakutat",
                        "America/Anchorage"=>"America/Anchorage",
                        "America/Araguaina"=>"America/Araguaina",
                        "America/Argentina/ComodRivadavia"=>"America/Argentina/ComodRivadavia",
                        "America/Argentina/La_Rioja"=>"America/Argentina/La_Rioja",
                        "America/Argentina/Salta"=>"America/Argentina/Salta",
                        "America/Argentina/Tucuman"=>"America/Argentina/Tucuman",
                        "America/Asuncion"=>"America/Asuncion",
                        "America/Bahia"=>"America/Bahia",
                        "America/Belem"=>"America/Belem",
                        "America/Boa_Vista"=>"America/Boa_Vista",
                        "America/Buenos_Aires"=>"America/Buenos_Aires",
                        "America/Cancun"=>"America/Cancun",
                        "America/Cayenne"=>"America/Cayenne",
                        "America/Chihuahua"=>"America/Chihuahua",
                        "America/Costa_Rica"=>"America/Costa_Rica",
                        "America/Curacao"=>"America/Curacao",
                        "America/Dawson_Creek"=>"America/Dawson_Creek",
                        "America/Dominica"=>"America/Dominica",
                        "America/El_Salvador"=>"America/El_Salvador",
                        "America/Fortaleza"=>"America/Fortaleza",
                        "America/Goose_Bay"=>"America/Goose_Bay",
                        "America/Guadeloupe"=>"America/Guadeloupe",
                        "America/Guyana"=>"America/Guyana",
                        "America/Hermosillo"=>"America/Hermosillo",
                        "America/Indiana/Marengo"=>"America/Indiana/Marengo",
                        "America/Indiana/Vevay"=>"America/Indiana/Vevay",
                        "America/Indianapolis"=>"America/Indianapolis",
                        "America/Jamaica"=>"America/Jamaica",
                        "America/Kentucky/Louisville"=>"America/Kentucky/Louisville",
                        "America/Kralendijk"=>"America/Kralendijk",
                        "America/Los_Angeles"=>"America/Los_Angeles",
                        "America/Maceio"=>"America/Maceio",
                        "America/Marigot"=>"America/Marigot",
                        "America/Mazatlan"=>"America/Mazatlan",
                        "America/Merida"=>"America/Merida",
                        "America/Miquelon"=>"America/Miquelon",
                        "America/Montevideo"=>"America/Montevideo",
                        "America/Nassau"=>"America/Nassau",
                        "America/Nome"=>"America/Nome",
                        "America/North_Dakota/Center"=>"America/North_Dakota/Center",
                        "America/Panama"=>"America/Panama",
                        "America/Phoenix"=>"America/Phoenix",
                        "America/Porto_Acre"=>"America/Porto_Acre",
                        "America/Rainy_River"=>"America/Rainy_River",
                        "America/Regina"=>"America/Regina",
                        "America/Rosario"=>"America/Rosario",
                        "America/Santiago"=>"America/Santiago",
                        "America/Scoresbysund"=>"America/Scoresbysund",
                        "America/St_Barthelemy"=>"America/St_Barthelemy",
                        "America/St_Lucia"=>"America/St_Lucia",
                        "America/Swift_Current"=>"America/Swift_Current",
                        "America/Thunder_Bay"=>"America/Thunder_Bay",
                        "America/Tortola"=>"America/Tortola",
                        "America/Whitehorse"=>"America/Whitehorse",
                        "America/Yellowknife"=>"America/Yellowknife",
                        "America/Anguilla"=>"America/Anguilla",
                        "America/Argentina/Buenos_Aires"=>"America/Argentina/Buenos_Aires",
                        "America/Argentina/Cordoba"=>"America/Argentina/Cordoba",
                        "America/Argentina/Mendoza"=>"America/Argentina/Mendoza",
                        "America/Argentina/San_Juan"=>"America/Argentina/San_Juan",
                        "America/Argentina/Ushuaia"=>"America/Argentina/Ushuaia",
                        "America/Atikokan"=>"America/Atikokan",
                        "America/Bahia_Banderas"=>"America/Bahia_Banderas",
                        "America/Belize"=>"America/Belize",
                        "America/Bogota"=>"America/Bogota",
                        "America/Cambridge_Bay"=>"America/Cambridge_Bay",
                        "America/Caracas"=>"America/Caracas",
                        "America/Cayman"=>"America/Cayman",
                        "America/Coral_Harbour"=>"America/Coral_Harbour",
                        "America/Creston"=>"America/Creston",
                        "America/Danmarkshavn"=>"America/Danmarkshavn",
                        "America/Denver"=>"America/Denver",
                        "America/Edmonton"=>"America/Edmonton",
                        "America/Ensenada"=>"America/Ensenada",
                        "America/Glace_Bay"=>"America/Glace_Bay",
                        "America/Grand_Turk"=>"America/Grand_Turk",
                        "America/Guatemala"=>"America/Guatemala",
                        "America/Halifax"=>"America/Halifax",
                        "America/Indiana/Indianapolis"=>"America/Indiana/Indianapolis",
                        "America/Indiana/Petersburg"=>"America/Indiana/Petersburg",
                        "America/Indiana/Vincennes"=>"America/Indiana/Vincennes",
                        "America/Inuvik"=>"America/Inuvik",
                        "America/Jujuy"=>"America/Jujuy",
                        "America/Kentucky/Monticello"=>"America/Kentucky/Monticello",
                        "America/La_Paz"=>"America/La_Paz",
                        "America/Louisville"=>"America/Louisville",
                        "America/Managua"=>"America/Managua",
                        "America/Martinique"=>"America/Martinique",
                        "America/Mendoza"=>"America/Mendoza",
                        "America/Metlakatla"=>"America/Metlakatla",
                        "America/Moncton"=>"America/Moncton",
                        "America/Montreal"=>"America/Montreal",
                        "America/New_York" =>"America/New_York",
                        "America/Noronha"=>"America/Noronha",
                        "America/North_Dakota/New_Salem"=>"America/North_Dakota/New_Salem",
                        "America/Pangnirtung"=>"America/Pangnirtung",
                        "America/Port-au-Prince"=>"America/Port-au-Prince",
                        "America/Porto_Velho"=>"America/Porto_Velho",
                        "America/Rankin_Inlet"=>"America/Rankin_Inlet",
                        "America/Resolute"=>"America/Resolute",
                        "America/Santa_Isabel"=>"America/Santa_Isabel",
                        "America/Santo_Domingo"=>"America/Santo_Domingo",
                        "America/Shiprock"=>"America/Shiprock",
                        "America/St_Johns"=>"America/St_Johns",
                        "America/St_Thomas"=>"America/St_Thomas",
                        "America/Tegucigalpa"=>"America/Tegucigalpa",
                        "America/Tijuana"=>"America/Tijuana",
                        "America/Vancouver"=>"America/Vancouver",
                        "America/Winnipeg"=>"America/Winnipeg",
                        "Asia/Aden"=>"Asia/Aden",
                        "Asia/Aqtobe"=>"Asia/Aqtobe",
                        "Asia/Baku"=>"Asia/Baku",
                        "Asia/Calcutta"=>"Asia/Calcutta",
                        "Asia/Dacca"=>"Asia/Dacca",
                        "Asia/Dushanbe"=>"Asia/Dushanbe",
                        "Asia/Hong_Kong"=>"Asia/Hong_Kong",
                        "Asia/Jayapura"=>"Asia/Jayapura",
                        "Asia/Kashgar"=>"Asia/Kashgar",
                        "Asia/Krasnoyarsk"=>"Asia/Krasnoyarsk",
                        "Asia/Macau"=>"Asia/Macau",
                        "Asia/Nicosia"=>"Asia/Nicosia",
                        "Asia/Phnom_Penh"=>"Asia/Phnom_Penh",
                        "Asia/Rangoon"=>"Asia/Rangoon",
                        "Asia/Seoul"=>"Asia/Seoul",
                        "Asia/Tbilisi"=>"Asia/Tbilisi",
                        "Asia/Tokyo"=>"Asia/Tokyo",
                        "Asia/Ust-Nera"=>"Asia/Ust-Nera",
                        "Asia/Yerevan"=>"Asia/Yerevan",
                        "Asia/Almaty"=>"Asia/Almaty",
                        "Asia/Ashgabat"=>"Asia/Ashgabat",
                        "Asia/Bangkok"=>"Asia/Bangkok",
                        "Asia/Choibalsan"=>"Asia/Choibalsan",
                        "Asia/Damascus"=>"Asia/Damascus",
                        "Asia/Gaza"=>"Asia/Gaza",
                        "Asia/Hovd"=>"Asia/Hovd",
                        "Asia/Jerusalem"=>"Asia/Jerusalem",
                        "Asia/Kathmandu"=>"Asia/Kathmandu",
                        "Asia/Kuala_Lumpur"=>"Asia/Kuala_Lumpur",
                        "Asia/Magadan"=>"Asia/Magadan",
                        "Asia/Novokuznetsk"=>"Asia/Novokuznetsk",
                        "Asia/Pontianak"=>"Asia/Pontianak",
                        "Asia/Riyadh"=>"Asia/Riyadh",
                        "Asia/Shanghai"=>"Asia/Shanghai",
                        "Asia/Tehran"=>"Asia/Tehran",
                        "Asia/Ujung_Pandang"=>"Asia/Ujung_Pandang",
                        "Asia/Vientiane"=>"Asia/Vientiane",
                        "Asia/Amman"=>"Asia/Amman",
                        "Asia/Ashkhabad"=>"Asia/Ashkhabad",
                        "Asia/Beirut"=>"Asia/Beirut",
                        "Asia/Chongqing"=>"Asia/Chongqing",
                        "Asia/Dhaka"=>"Asia/Dhaka",
                        "Asia/Harbin"=>"Asia/Harbin",
                        "Asia/Irkutsk"=>"Asia/Irkutsk",
                        "Asia/Kabul"=>"Asia/Kabul",
                        "Asia/Katmandu"=>"Asia/Katmandu",
                        "Asia/Kuching"=>"Asia/Kuching",
                        "Asia/Makassar"=>"Asia/Makassar",
                        "Asia/Novosibirsk"=>"Asia/Novosibirsk",
                        "Asia/Pyongyang"=>"Asia/Pyongyang",
                        "Asia/Saigon"=>"Asia/Saigon",
                        "Asia/Singapore"=>"Asia/Singapore",
                        "Asia/Tel_Aviv"=>"Asia/Tel_Aviv",
                        "Asia/Ulaanbaatar"=>"Asia/Ulaanbaatar",
                        "Asia/Vladivostok"=>"Asia/Vladivostok",
                        "Asia/Aqtau"=>"Asia/Aqtau",
                        "Asia/Bahrain"=>"Asia/Bahrain",
                        "Asia/Brunei"=>"Asia/Brunei",
                        "Asia/Colombo"=>"Asia/Colombo",
                        "Asia/Dubai"=>"Asia/Dubai",
                        "Asia/Ho_Chi_Minh"=>"Asia/Ho_Chi_Minh",
                        "Asia/Jakarta"=>"Asia/Jakarta",
                        "Asia/Karachi"=>"Asia/Karachi",
                        "Asia/Kolkata"=>"Asia/Kolkata",
                        "Asia/Macao"=>"Asia/Macao",
                        "Asia/Muscat"=>"Asia/Muscat",
                        "Asia/Oral"=>"Asia/Oral",
                        "Asia/Qyzylorda"=>"Asia/Qyzylorda",
                        "Asia/Samarkand"=>" Asia/Samarkand",
                        "Asia/Tashkent"=>"Asia/Tashkent",
                        "Asia/Thimphu"=>"Asia/Thimphu",
                        "Asia/Urumqi"=>"Asia/Urumqi",
                        "Asia/Yekaterinburg"=>"Asia/Yekaterinburg",
                        "Asia/Anadyr"=>"Asia/Anadyr",
                        "Asia/Baghdad"=>"Asia/Baghdad",
                        "Asia/Bishkek"=>"Asia/Bishkek",
                        "Asia/Chungking"=>"Asia/Chungking",
                        "Asia/Dili"=>"Asia/Dili",
                        "Asia/Hebron"=>"Asia/Hebron",
                        "Asia/Istanbul"=>"Asia/Istanbul",
                        "Asia/Kamchatka"=>"Asia/Kamchatka",
                        "Asia/Khandyga"=>"Asia/Khandyga",
                        "Asia/Kuwait"=>"Asia/Kuwait",
                        "Asia/Manila"=>"Asia/Manila",
                        "Asia/Omsk"=>"Asia/Omsk",
                        "Asia/Qatar"=>"Asia/Qatar",
                        "Asia/Sakhalin"=>"Asia/Sakhalin",
                        "Asia/Taipei"=>"Asia/Taipei",
                        "Asia/Thimbu"=>"Asia/Thimbu",
                        "Asia/Ulan_Bator"=>"Asia/Ulan_Bator",
                        "Asia/Yakutsk"=>"Asia/Yakutsk",
                        "Australia/ACT"=>"Australia/ACT",
                        "Australia/Currie"=>"Australia/Currie",
                        "Australia/Lindeman"=>"Australia/Lindeman",
                        "Australia/Perth"=>"Australia/Perth",
                        "Australia/Victoria"=>"Australia/Victoria",
                        "Australia/Adelaide"=>"Australia/Adelaide",
                        "Australia/Darwin"=>"Australia/Darwin",
                        "Australia/Lord_Howe"=>"Australia/Lord_Howe",
                        "Australia/Queensland"=>"Australia/Queensland",
                        "Australia/West"=>"Australia/West",
                        "Australia/Brisbane"=>"Australia/Brisbane",
                        "Australia/Eucla"=>"Australia/Eucla",
                        "Australia/Melbourne"=>"Australia/Melbourne",
                        "Australia/South"=>"Australia/South",
                        "Australia/Yancowinna"=>"Australia/Yancowinna",
                        "Australia/Broken_Hill"=>"Australia/Broken_Hill",
                        "Australia/Hobart"=>"Australia/Hobart",
                        "Australia/North"=>"Australia/North",
                        "Australia/Sydney"=>"Australia/Sydney",
                        "Australia/Canberra"=>"Australia/Canberra",
                        "Australia/LHI"=>"Australia/LHI",
                        "Australia/NSW"=>"Australia/NSW",
                        "Australia/Tasmania"=>"Australia/Tasmania",
                        "Europe/Amsterdam"=>"Europe/Amsterdam",
                        "Europe/Berlin"=>"Europe/Berlin",
                        "Europe/Busingen"=>"Europe/Busingen",
                        "Europe/Guernsey"=>"Europe/Guernsey",
                        "Europe/Kaliningrad"=>"Europe/Kaliningrad",
                        "Europe/Luxembourg"=>"Europe/Luxembourg",
                        "Europe/Monaco"=>"Europe/Monaco",
                        "Europe/Podgorica"=>"Europe/Podgorica",
                        "Europe/San_Marino"=>"Europe/San_Marino",
                        "Europe/Stockholm"=>"Europe/Stockholm",
                        "Europe/Vaduz"=>"Europe/Vaduz",
                        "Europe/Warsaw"=>"Europe/Warsaw",
                        "Europe/Andorra"=>"Europe/Andorra",
                        "Europe/Bratislava"=>"Europe/Bratislava",
                        "Europe/Chisinau"=>"Europe/Chisinau",
                        "Europe/Helsinki"=>"Europe/Helsinki",
                        "Europe/Kiev"=>"Europe/Kiev",
                        "Europe/Madrid"=>"Europe/Madrid",
                        "Europe/Moscow"=>"Europe/Moscow",
                        "Europe/Prague"=>"Europe/Prague",
                        "Europe/Sarajevo"=>"Europe/Sarajevo",
                        "Europe/Tallinn"=>"Europe/Tallinn",
                        "Europe/Vatican"=>"Europe/Vatican",
                        "Europe/Zagreb"=>"Europe/Zagreb",
                        "Europe/Athens"=>"Europe/Athens",
                        "Europe/Brussels"=>"Europe/Brussels",
                        "Europe/Copenhagen"=>"Europe/Copenhagen",
                        "Europe/Isle_of_Man"=>"Europe/Isle_of_Man",
                        "Europe/Lisbon"=>"Europe/Lisbon",
                        "Europe/Malta"=>"Europe/Malta",
                        "Europe/Nicosia"=>"Europe/Nicosia",
                        "Europe/Riga"=>"Europe/Riga",
                        "Europe/Simferopol"=>"Europe/Simferopol",
                        "Europe/Tirane"=>"Europe/Tirane",
                        "Europe/Vienna"=>"Europe/Vienna",
                        "Europe/Zaporozhye"=>"Europe/Zaporozhye",
                        "Europe/Belfast"=>"Europe/Belfast",
                        "Europe/Bucharest"=>"Europe/Bucharest",
                        "Europe/Dublin"=>"Europe/Dublin",
                        "Europe/Istanbul"=>"Europe/Istanbul",
                        "Europe/Ljubljana"=>"Europe/Ljubljana",
                        "Europe/Mariehamn"=>"Europe/Mariehamn",
                        "Europe/Oslo"=>"Europe/Oslo",
                        "Europe/Rome"=>"Europe/Rome",
                        "Europe/Skopje"=>"Europe/Skopje",
                        "Europe/Tiraspol"=>"Europe/Tiraspol",
                        "Europe/Vilnius"=>"Europe/Vilnius",
                        "Europe/Zurich"=>"Europe/Zurich",
                        "Europe/Belgrade"=>"Europe/Belgrade",
                        "Europe/Budapest"=>"Europe/Budapest",
                        "Europe/Gibraltar"=>"Europe/Gibraltar",
                        "Europe/Jersey"=>"Europe/Jersey",
                        "Europe/London"=>"Europe/London",
                        "Europe/Minsk"=>"Europe/Minsk",
                        "Europe/Paris"=>"Europe/Paris",
                        "Europe/Samara"=>"Europe/Samara",
                        "Europe/Sofia"=>"Europe/Sofia",
                        "Europe/Uzhgorod"=>"Europe/Uzhgorod",
                        "Europe/Volgograd"=>"Europe/Volgograd",
                        "Pacific/Apia"=>"Pacific/Apia",
                        "Pacific/Efate"=>"Pacific/Efate",
                        "Pacific/Galapagos"=>"Pacific/Galapagos",
                        "Pacific/Johnston"=>"Pacific/Johnston",
                        "Pacific/Marquesas"=>"Pacific/Marquesas",
                        "Pacific/Noumea"=>"Pacific/Noumea",
                        "Pacific/Ponape"=>"Pacific/Ponape",
                        "Pacific/Tahiti"=>"Pacific/Tahiti",
                        "Pacific/Wallis"=>"Pacific/Wallis",
                        "Pacific/Auckland"=>"Pacific/Auckland",
                        "Pacific/Enderbury"=>"Pacific/Enderbury",
                        "Pacific/Gambier"=>"Pacific/Gambier",
                        "Pacific/Kiritimati"=>"Pacific/Kiritimati",
                        "Pacific/Midway"=>"Pacific/Midway",
                        "Pacific/Pago_Pago"=>"Pacific/Pago_Pago",
                        "Pacific/Port_Moresby"=>"Pacific/Port_Moresby",
                        "Pacific/Tarawa"=>"Pacific/Tarawa",
                        "Pacific/Yap"=>"Pacific/Yap",
                        "Pacific/Chatham"=>"Pacific/Chatham",
                        "Pacific/Fakaofo"=>"Pacific/Fakaofo",
                        "Pacific/Guadalcanal"=>"Pacific/Guadalcanal",
                        "Pacific/Kosrae"=>"Pacific/Kosrae",
                        "Pacific/Nauru"=>"Pacific/Nauru",
                        "Pacific/Palau"=>"Pacific/Palau",
                        "Pacific/Rarotonga"=>"Pacific/Rarotonga",
                        "Pacific/Tongatapu"=>"Pacific/Tongatapu",
                        "Pacific/Chuuk"=>"Pacific/Chuuk",
                        "Pacific/Fiji"=>"Pacific/Fiji",
                        "Pacific/Guam"=>"Pacific/Guam",
                        "Pacific/Kwajalein"=>"Pacific/Kwajalein",
                        "Pacific/Niue"=>"Pacific/Niue",
                        "Pacific/Pitcairn"=>"Pacific/Pitcairn",
                        "Pacific/Saipan"=>"Pacific/Saipan",
                        "Pacific/Truk"=>"Pacific/Truk",
                        "Pacific/Easter"=>"Pacific/Easter",
                        "Pacific/Funafuti"=>"Pacific/Funafuti",
                        "Pacific/Honolulu"=>"Pacific/Honolulu",
                        "Pacific/Majuro"=>"Pacific/Majuro",
                        "Pacific/Norfolk"=>"Pacific/Norfolk",
                        "Pacific/Pohnpei"=>"Pacific/Pohnpei",
                        "Pacific/Samoa"=>"Pacific/Samoa",
                        "Pacific/Wake"=>"Pacific/Wake",
);







